## mingw-w64-git-lfs-3.5.1-1.src.tar.zst

=== t/Makefile ===
RM ?= rm -f
PROVE ?= prove
PROVE_EXTRA_ARGS =
DEFAULT_TEST_TARGET ?= test

GO ?= go

# GOTOOLCHAIN is an environment variable which, when set to 'local',
# prevents Go from downloading and running non-local versions of itself.
export GOTOOLCHAIN = local

ifeq ($(OS),Windows_NT)
X ?= .exe
else
X ?=
endif

TEST_CMDS =

TEST_CMDS += ../bin/git-credential-lfsnoop$X
TEST_CMDS += ../bin/git-credential-lfstest$X
TEST_CMDS += ../bin/lfs-askpass$X
TEST_CMDS += ../bin/lfs-ssh-echo$X
TEST_CMDS += ../bin/lfs-ssh-proxy-test$X
TEST_CMDS += ../bin/lfstest-badpathcheck$X
TEST_CMDS += ../bin/lfstest-count-tests$X
TEST_CMDS += ../bin/lfstest-customadapter$X
TEST_CMDS += ../bin/lfstest-gitserver$X
TEST_CMDS += ../bin/lfstest-nanomtime$X
TEST_CMDS += ../bin/lfstest-realpath$X
TEST_CMDS += ../bin/lfstest-standalonecustomadapter$X
TEST_CMDS += ../bin/lfstest-testutils$X

# Not used for the integration tests, but build it here anyway to ensure it
# continues to work.
TEST_CMDS += ../bin/git-lfs-test-server-api$X

TEST_SRCS     = $(wildcard t-*.sh)
TEST_API_SRCS = $(wildcard git-lfs-test-server-api/*.go)

all : $(DEFAULT_TEST_TARGET)

test-commands : $(TEST_CMDS)

test : test-commands
	$(RM) -r remote test_count{,.lock}
	@GIT_LFS_NO_TEST_COUNT= bash -c '. ./testenv.sh && setup'
	$(PROVE) $(PROVE_EXTRA_ARGS) ./t-*.sh
	@GIT_LFS_NO_TEST_COUNT= bash -c '. ./testenv.sh && shutdown'

.PHONY : $(TEST_SRCS)
$(TEST_SRCS) : $(TEST_CMDS)
	$(RM) -r remote test_count{,.lock}
	$(PROVE) -v $(PROVE_EXTRA_ARGS) $@

.PHONY : clean
clean :
	$(RM) -r remote
	$(RM) $(TEST_CMDS)

../bin/%$X : cmd/%.go
	$(GO) build -o $@ $^

../bin/git-lfs-test-server-api$X : $(TEST_API_SRCS)
	$(GO) build -o $@ $^

=== debian/changelog ===
git-lfs (3.5.1) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Thu, 07 Mar 2024 14:29:00 -0000

git-lfs (3.5.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Wed, 28 Feb 2024 14:29:00 -0000

git-lfs (3.4.0) stable; urgency=low

  * New upstream version

 -- Chris Darroch <chrisd8088@github.com>  Wed, 26 Jul 2023 14:29:00 -0000

git-lfs (3.3.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Wed, 30 Nov 2022 14:29:00 -0000

git-lfs (3.2.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Wed, 25 May 2022 14:29:00 -0000

git-lfs (3.1.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Mon, 14 Feb 2022 14:29:00 -0000

git-lfs (3.0.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Fri, 24 Sep 2021 14:29:00 -0000

git-lfs (2.13.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Thu, 10 Dec 2020 14:29:00 -0000

git-lfs (2.12.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Tue, 1 Sep 2020 14:29:00 -0000

git-lfs (2.11.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Fri, 08 May 2020 14:29:00 -0000

git-lfs (2.10.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Tue, 21 Jan 2020 14:29:00 -0000

git-lfs (2.9.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Thu, 17 Oct 2019 14:29:00 -0000

git-lfs (2.8.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Tue, 23 Jul 2019 14:29:00 -0000

git-lfs (2.7.0) stable; urgency=low

  * New upstream version

 -- brian m. carlson <bk2204@github.com>  Fri, 15 Feb 2019 14:29:00 -0000

git-lfs (2.6.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 1 Nov 2018 14:29:00 +0000

git-lfs (2.5.2) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 17 Sep 2018 14:29:00 +0000

git-lfs (2.5.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 2 Aug 2018 14:29:00 +0000

git-lfs (2.5.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 26 Jul 2018 14:29:00 +0000

git-lfs (2.4.2) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 28 May 2018 14:29:00 +0000

git-lfs (2.4.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 21 May 2018 14:29:00 +0000

git-lfs (2.4.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 1 Mar 2018 14:29:00 +0000

git-lfs (2.3.4) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Wed, 18 Oct 2017 14:29:00 +0000

git-lfs (2.3.3) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Mon, 9 Oct 2017 14:29:00 +0000

git-lfs (2.3.2) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Tue, 3 Oct 2017 14:29:00 +0000

git-lfs (2.3.1) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Wed, 26 Sep 2017 14:29:00 +0000

git-lfs (2.3.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Thu, 14 Sep 2017 14:29:00 +0000

git-lfs (2.2.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 10 Jul 2017 14:29:00 +0000

git-lfs (2.2.0) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Tue, 27 Jun 2017 14:29:00 +0000

git-lfs (2.1.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Fri, 19 May 2017 14:29:00 +0000

git-lfs (2.1.0) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Fri, 28 Apr 2017 14:29:00 +0000

git-lfs (2.0.2) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Wed, 29 Mar 2017 14:29:00 +0000

git-lfs (2.0.1) stable; urgency=low

  * New upstream version

 -- Taylor Blau <me@ttaylorr.com>  Mon, 6 Mar 2017 14:29:00 +0000

git-lfs (2.0.0) stable; urgency=low

  * New upstream version

 -- Rick Olson <technoweenie@gmail.com>  Tue, 1 Mar 2017 14:29:00 +0000

git-lfs (1.5.6) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Thu, 16 Feb 2017 14:29:00 +0000

git-lfs (1.5.5) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Thu, 12 Jan 2017 14:29:00 +0000

git-lfs (1.5.4) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Tue, 27 Dec 2016 14:29:00 +0000

git-lfs (1.5.3) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Mon, 5 Dec 2016 14:29:00 +0000

git-lfs (1.5.2) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Tue, 22 Nov 2016 14:29:00 +0000

git-lfs (1.5.1) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Fri, 18 Nov 2016 14:29:00 +0000

git-lfs (1.5.0) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Thu, 17 Nov 2016 14:29:00 +0000

git-lfs (1.4.4) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Mon, 24 Oct 2016 14:29:00 +0000

git-lfs (1.4.3) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Mon, 17 Oct 2016 14:29:00 +0000

git-lfs (1.4.2) stable; urgency=low

  * New upstream version

 -- Stephen Gelman <gelman@getbraintree.com>  Mon, 10 Oct 2016 14:29:00 +0000

git-lfs (1.4.1) stable; urgency=low

  * New upstream version



=== PKGBUILD ===
# Contributor: Abdó Roig-Maranges <abdo.roig@gmail.com>

_realname=git-lfs
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=3.5.1
pkgsrc=${_realname}-${pkgver}
pkgrel=1
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
pkgdesc="An open source Git extension for versioning large files (mingw-w64)"
url="https://git-lfs.github.com/"
msys2_references=(
  "cpe: cpe:/a:git_large_file_storage_project:git_large_file_storage"
)
license=('spdx:MIT')
depends=("git")
makedepends=("unzip"
             "${MINGW_PACKAGE_PREFIX}-go"
             #"${MINGW_PACKAGE_PREFIX}-ruby"
             )
options=('!strip')
source=("${pkgsrc}.tar.gz::https://github.com/git-lfs/git-lfs/releases/download/v${pkgver}/${_realname}-v${pkgver}.tar.gz"
        "https://github.com/git-lfs/git-lfs/commit/de6a135d731b9e98ca9da043f346794ea6bc4ecb.patch")
# Extract sources ourselves (avoid bsdtar failure in pull #2406)
noextract=(${pkgsrc}.tar.gz)
sha256sums=('fc19c7316e80a6ef674aa4e1863561c1263cd4ce0588b9989e4be9461664d752'
            'e095c7cbbc5a7409988b569903738bbea9b30127f40afb711b45a6dd60cab44e')

prepare() {
  # Extract sources ourselves (avoid bsdtar failure in pull #2406)
  [[ -d ${srcdir}/${pkgsrc} ]] && rm -rf ${srcdir}/${pkgsrc}
  tar -xf ${srcdir}/${pkgsrc}.tar.gz -C ${srcdir} || true

  # apply patches
  cd "${srcdir}/${pkgsrc}"

  # https://github.com/msys2/MINGW-packages/issues/15005
  patch -R -p1 -i "${srcdir}/de6a135d731b9e98ca9da043f346794ea6bc4ecb.patch"

  # Clear go cache
  #rm -Rf "${srcdir}/src"

  # Setup local gopath
  #mkdir -p "${srcdir}/src/github.com/git-lfs"
  #cp -R "${srcdir}/${pkgsrc}/" "${srcdir}/src/github.com/git-lfs/git-lfs"

  # Fetch dependencies
  #. ${MINGW_PREFIX}/etc/profile.d/go.sh
  #GOPATH="${srcdir}" go get -v -d

  #gem install ronn
}

build() {
  cd "${srcdir}/${pkgsrc}"

  ${MINGW_PREFIX}/bin/go build \
    -gcflags "all=-trimpath=${PWD}" \
    -asmflags "all=-trimpath=${PWD}" \
    .

  # build
  #. ${MINGW_PREFIX}/etc/profile.d/go.sh
  #GOPATH="${srcdir}" go run script/*.go -cmd build
  #GOPATH="${srcdir}" make

  # The man pages need ronn, which needs a bunch of missing ruby dependencies.
  #ronn docs/man/*.ronn
}

package() {
  cd "${srcdir}/${pkgsrc}"
  install -Dm755 "git-lfs.exe" "${pkgdir}${MINGW_PREFIX}/bin/git-lfs.exe"
  install -Dm644 LICENSE.md "${pkgdir}${MINGW_PREFIX}"/share/licenses/${_realname}/LICENSE
  # man page
  #install -d "${pkgdir}${MINGW_PREFIX}/share/man/man1"
  #install -Dm644 docs/man/*.1 "${pkgdir}${MINGW_PREFIX}/share/man/man1"
}
